<div class="container-fluid">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
  <li class="breadcrumb-item">
    <a href="#">My Lists</a>
  </li>
  <li class="breadcrumb-item active">All Lists</li>
</ol>
<div class="row">
  <div class="col-2">
    <button type="button" class="btn btn-danger create"><%= link_to "Create new list", new_list_path %></button>
  </div>
</div>
<div class="row mt-2">
<% @lists.each do |list| %>
  <div class="col-xl-4 col-sm-6 mb-3 col-12">
    <div class="card mb-3">
      <div class="card-body c-title">
        <h6 class="card-title mb-1">List name | <%= link_to list.list_name, list_items_path(list)%></h6>
      </div>
      <hr class="my-0">
      <div class="hvrbox">
        <div class="card-body py-2">
            <p class="card-text">Total items = <%= list.items.size %></p>
            <p class="card-text">Participations:<%= list.participants.size %>
            <% if list.participants.size > 0 %>
            <br /><i class="fa fa-fw fa-user color-all-text"></i>
            <% else %>
            <% end %>
            <%= list.participants.map { |i| i.full_name.to_s }.join(", ") %>
            </p>
          <div class="hvrbox-layer_top hvrbox-layer_scale">
            <div class="hvrbox-text">
              <a href="<%= edit_list_path(list.id) %>" class="option"><i class="fas fa-edit"></i> Edit list</a><br />
              <a data-confirm="Are you sure?" class="option" rel="nofollow" data-method="delete" href="<%= list_path(list.id) %>"><i class="fas fa-trash-alt"></i> Delete list</a><br />
            </div>
          </div>
        </div>
      </div>
      <div class="card-footer small text-muted">Created at <%= list.created_at.strftime("%b %d, %Y") %></div>
    </div>
  </div>
<% end %>
</div>
<%= will_paginate @lists %>
</div>